# Random web tools
This project provides a collection of useful online tools for developers and anyone who needs to perform quick tasks.

## Requirements
* Node.js (v16 or higher)
* Bun

## Installation
```bash
git clone https://gitea.stuzer.link/stuzer05/random-web-tools.git
cd random-web-tools
bun install
```

## Running the Project
```bash
bun run dev
```

## Tool List
**General:**
* Table to Markdown table
* Table to Mediawiki table
* humans.txt generator

**Docker:**
* Rename volume

**Go:**
* JSON to Go struct

**JSON:**
* JSON minifier
* JSON formatter

**PHP:**
* Str to PHP array
* PHP array to Json
* PHP serialize

**SQL:**
* SQL formatter
* SQL split IN

**Strings:**
* Fix ru-en keyboard
* Str length
* Str sort lines
* Str to lower/upper
* Str remove duplicate lines
* Str pad
* Str numeronym (i18n)
* Str to NATO alphabet
* URL encode/decode
* URL query viewer

**Unix:**
* Explain crontab
* File base64 encode/decode
* Unix timestamp
* Sed generator
* .htaccess generator

**Generators:**
* QR code
* IBAN generator
* Dummy image